
#include <stdlib.h>
#include <fstream>
#include <libIRDB-core.hpp>
#include <libgen.h>

using namespace std;
using namespace libIRDB;

/* include the interface to STARS */
#include "interfaces/abstract/STARSInterface.h"
#include "interfaces/irdb/STARSInterface.h"

/* include the STARS def. of a program.  -- aka a file */
#include "interfaces/abstract/STARSProgram.h"
#include "interfaces/irdb/STARSProgram.h"

STARS_Interface_t* global_stars_interface = NULL;
STARS_Program_t *global_STARS_program = NULL;


int do_STARS(FileIR_t* firp)
{
	global_stars_interface = new STARS_IRDB_Interface_t(firp);
	global_STARS_program = new STARS_IRDB_Program_t(firp);

	// do something?

	delete global_stars_interface; 
	global_stars_interface=NULL;

	delete global_STARS_program; 
	global_STARS_program=NULL;

	return 1;
}

